# COMBINE_COLVAR

Allows the possibility to combine several COLVARs into one COLVAR with a generic function. [Edit on GitHub]

Subsections

- COLVAR

## Keywords

- DX

- ERROR_LIMIT

- FUNCTION

- PARAMETERS

- VALUES

- VARIABLES

## Keyword descriptions

DX: real = 1.00000000E-001 [bohr]

  Usage: DX <REAL>

  Parameter used for computing the derivative of the combination of COLVARs with the Ridders’ method. [Edit on GitHub]

ERROR_LIMIT: real = 1.00000000E-012

  Usage: ERROR_LIMIT <REAL>

  Checks that the error in computing the derivative is not larger than the value set; in case error is larger a warning message is printed. [Edit on GitHub]

FUNCTION: string

  Usage: FUNCTION SQRT(CV1^2+CV2^2)

  Specifies the function used to combine different COLVARs into one. [Edit on GitHub]

PARAMETERS: string[ ]

  Keyword can be repeated.

  Usage: PARAMETERS a b D

  Defines the parameters of the functional form [Edit on GitHub]

VALUES: real[ ] = [internal_cp2k]

  Keyword can be repeated.

  Usage: VALUES

  Defines the values of parameter of the functional form [Edit on GitHub]

VARIABLES: string[ ]

  Usage: VARIABLES CV1 CV2 CV3

  Specifies the name of the variable that parametrises the FUNCTION defining how COLVARS should be combined. The matching follows the same order of the COLVARS definition in the input file. [Edit on GitHub]